package com.yc.education.service;

import com.yc.education.model.Technologyclassify;

import java.util.List;

/**
 * huangpan
 * 2019/10/8
 * energy
 */
public interface TechnologyclassifyService extends  IService<Technologyclassify> {
    /*查询所有*/
    List<Technologyclassify> selectAllTclassify(String titleName);

    /*查询推荐到首页*/
    List<Technologyclassify> selectAllTclassifyrm();

    /*查询单条记录*/
    Technologyclassify selectTclassifyById(int id);

    /*删除单条*/
    void deleteTclassifyById(int id);
}
